package tk.antoine.roux.domain;

public interface UseCases<R, T> {

    /**
     * Every use cases should have one and only one method named execute
     * Every use cases should take one argument
     * Every use cases should return a value
     */
    R execute(T arg);

}
